Skip to main content
`Ctrl`+`K`

# UnitSphericalCosLatDifferential

class astropy.coordinates.UnitSphericalCosLatDifferential(d_lon_coslat, d_lat=None, copy=True)

  Bases: `BaseSphericalCosLatDifferential`

  Differential(s) of points on a unit sphere.

  Parameters:
    d_lon_coslat, d_lat `Quantity`

      The longitude and latitude of the differentials.

    copy bool, optional

      If `True` (default), arrays will be copied. If `False`, arrays will be references, though possibly broadcast to ensure matching shapes.

  Attributes Summary

  `attr_classes` |
  `d_lat` | Component 'd_lat' of the Differential.
  `d_lon_coslat` | Component 'd_lon_coslat' of the Differential.
  `name` | Name of the representation or differential.

  Methods Summary

  `from_cartesian`(other, base) | Convert the differential from 3D rectangular cartesian coordinates to the desired class.
  `from_representation`(representation[, base]) | Create a new instance of this representation from another one.
  `represent_as`(other_class[, base]) | Convert coordinates to another representation.
  `to_cartesian`(base) | Convert the differential to 3D rectangular cartesian coordinates.
  `transform`(matrix, base, transformed_base) | Transform differential using a 3x3 matrix in a Cartesian basis.

  Attributes Documentation

  attr_classes = {'d_lat': <class 'astropy.units.quantity.Quantity'>, 'd_lon_coslat': <class 'astropy.units.quantity.Quantity'>}
  d_lat

    Component ‘d_lat’ of the Differential.

  d_lon_coslat

    Component ‘d_lon_coslat’ of the Differential.

  name = 'unitsphericalcoslat'

    Name of the representation or differential.

    When a subclass is defined, by default, the name is the lower-cased name of the class with with any trailing ‘representation’ or ‘differential’ removed. (E.g., ‘spherical’ for `SphericalRepresentation` or `SphericalDifferential`.)

    This can be customized when defining a subclass by setting the class attribute.

  Methods Documentation

  classmethod from_cartesian(other, base)

    Convert the differential from 3D rectangular cartesian coordinates to the desired class.

    Parameters:
      other

        The object to convert into this differential.

      base `BaseRepresentation`

        The points for which the differentials are to be converted: each of the components is multiplied by its unit vectors and scale factors. Will be converted to `cls.base_representation` if needed.

    Returns:
      `BaseDifferential` subclass instance

        A new differential object that is this class’ type.

  classmethod from_representation(representation, base=None)

    Create a new instance of this representation from another one.

    Parameters:
      representation `BaseRepresentation` instance

        The presentation that should be converted to this class.

      base instance of `cls.base_representation`

        The base relative to which the differentials will be defined. If the representation is a differential itself, the base will be converted to its `base_representation` to help convert it.

  represent_as(other_class, base=None)

    Convert coordinates to another representation.

    If the instance is of the requested class, it is returned unmodified. By default, conversion is done via cartesian coordinates.

    Parameters:
      other_class `BaseRepresentation` subclass

        The type of representation to turn the coordinates into.

      base instance of `self.base_representation`

        Base relative to which the differentials are defined. If the other class is a differential representation, the base will be converted to its `base_representation`.

  to_cartesian(base)

    Convert the differential to 3D rectangular cartesian coordinates.

    Parameters:
      base instance of `self.base_representation`

        The points for which the differentials are to be converted: each of the components is multiplied by its unit vectors and scale factors.

    Returns:
      `CartesianDifferential`

        This object, converted.

  transform(matrix, base, transformed_base)

    Transform differential using a 3x3 matrix in a Cartesian basis.

    This returns a new differential and does not modify the original one.

    Parameters:
      matrix(3,3) numpy:array_like

        A 3x3 (or stack thereof) matrix, such as a rotation matrix.

      base instance of `cls.base_representation`

        Base relative to which the differentials are defined. If the other class is a differential representation, the base will be converted to its `base_representation`.

      transformed_base instance of `cls.base_representation`

        Base relative to which the transformed differentials are defined. If the other class is a differential representation, the base will be converted to its `base_representation`.